/*======================================证件照制作后更换背景======================================*/
package main

import (
	"bytes"
	"crypto/md5"
	"encoding/base64"
	"encoding/json"
	"fmt"
	"io/ioutil"
	"net/http"
)



func MD5ChangeBg(v string) string {
	d := []byte(v)
	m := md5.New()
	m.Write(d)
	b := m.Sum(nil)
	return base64.StdEncoding.EncodeToString([]byte(b))
}

func main() {
	appCode := "你的appcode"
	DetectUrl := "https://idphotobg.market.alicloudapi.com/changebg"

	client := &http.Client{}
	data := make(map[string]interface{})
	data["bk"] = "white"
	data["photo_key"] = "144303646fe140f48b25569aa20e20b5" //"图片photo_key，证件照制作接口返回的值， photo和photo_key设置一个即可，如果两个都设置，则使用photo参数"

	bytesData, _ := json.Marshal(data)
	req, _ := http.NewRequest("POST", DetectUrl, bytes.NewReader(bytesData))
	req.Header.Set("Content-Type", "application/json")
	req.Header.Set("Authorization", "APPCODE "+appCode)

	md5Str := MD5ChangeBg(string(bytesData))
	req.Header.Set("Content-MD5", md5Str)

	resp, _ := client.Do(req)
	fmt.Println(resp.Header)
	fmt.Println(resp.Header["X-Ca-Error-Message"])
	body, _ := ioutil.ReadAll(resp.Body)
	fmt.Println(string(body))

}
